#ifndef __V_PROGRAM_H__
#define __V_PROGRAM_H__

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

typedef enum {
	V_MAILDIR_UFLINE	= 1<<0,
	V_MAILDIR_RPLINE	= 1<<1,
	V_MAILDIR_DTLINE	= 1<<2
} VMaildirHeaders;

G_CONST_RETURN gchar *v_qmail_get_root(void) G_GNUC_CONST;
gchar **v_qmail_get_headers(VMaildirHeaders mask, GError **error);
gboolean v_qmail_inject(GIOChannel *in, const gchar *sender,
                        gchar **recipients, GError **error);
gboolean v_qmail_checkpassword_protocol(gchar **username, gchar **password,
                                        GError **error);
gboolean v_qmail_get_environment(gchar **user, gchar **ext, gchar **host,
                                 gchar **sender, GError **error);

G_END_DECLS

#endif /* __V_PROGRAM_H__ */
