#ifndef __V_ACCOUNT_H__
#define __V_ACCOUNT_H__

#include <glib.h>
#include <glib-object.h>

#include <qmail/qmail.h>

G_BEGIN_DECLS

#define V_TYPE_ACCOUNT			(v_account_get_type())
#define V_ACCOUNT(o)			(G_TYPE_CHECK_INSTANCE_CAST((o), V_TYPE_ACCOUNT, VAccount))
#define V_IS_ACCOUNT(o)			(G_TYPE_CHECK_INSTANCE_TYPE((o), V_TYPE_ACCOUNT))
#define V_ACCOUNT_GET_CLASS(inst)	(G_TYPE_INSTANCE_GET_CLASS((inst), V_TYPE_ACCOUNT, VAccountClass))

GType v_account_get_type(void) G_GNUC_CONST;

VAccount *v_account_new(VDomain *vdomain, VDomainEntry *entry,
                        GError **error) G_GNUC_MALLOC;

VMaildir *v_account_get_maildir(VAccount *account) G_GNUC_CONST;
gboolean v_account_deliver(VAccount *account, GIOChannel *mail,
                           const gchar *sender, const gchar *domain,
                           gchar **headers, GError **error);
void v_account_set_environent(VAccount *account);

G_END_DECLS

#endif /* __V_ACCOUNT_H__ */
